summaryrefslogtreecommitdiff
path: root/dev-ros/xacro/files/tests.patch
blob: 28d4b5768c353b8e2e1683a6730b3d0a67329a53 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
Index: xacro-1.14.1/test/test-cmake.sh
===================================================================
--- xacro-1.14.1.orig/test/test-cmake.sh
+++ xacro-1.14.1/test/test-cmake.sh
@@ -15,6 +15,7 @@
 test -d $1 || exit 2
 test -r $1/CMakeLists.txt || exit 2
 
+basedir=`pwd`/../
 dir=`basename $1`
 
 # redirect stdout and stderr to $dir.log
@@ -26,7 +27,7 @@ mkdir $dir
 cd $dir
 
 echo "*** running cmake ***"
-cmake -DCATKIN_DEVEL_PREFIX=devel -DCMAKE_INSTALL_PREFIX=install $1 || exit $?
+cmake -DCATKIN_DEVEL_PREFIX="${basedir}/devel" -DCMAKE_INSTALL_PREFIX=install $1 || exit $?
 
 echo
 echo "*** running make ***"